{#<pagetitle>NHS.UK | Upload documents</pagetitle>#}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/p/macro.njk' import p %}
{% from 'components/hint/macro.njk' import hint %}
{% from '../../../common/components/list/macro.njk' import list %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/link/macro.njk' import link %}
{% from '../../../common/components/label/macro.njk' import label %}

{{ heading({
    subHeading: { text: 'upload-documents.section.heading'},
    text: 'upload-documents.h1',
    locale: locale
    })
}}

{{ p({
  "text": 'upload-documents.hint1',
  "classes" : 'nhsuk-hint',
  locale:locale
}) }}

{{ p({text: 'upload-documents.p1', locale: locale}) }}
{{
    list({
        items: [
            "upload-documents.list1.item1",
            "upload-documents.list1.item2"
        ],
        classes: 'nhsuk-list--bullet',
        locale: locale
    })
}}
{{ p({text: 'upload-documents.p2', locale: locale}) }}
{{
    list({
        items: [
            "upload-documents.list2.item1"
        ],
        classes: 'nhsuk-list--bullet',
        locale: locale
    })
}}
{{ p({text: 'upload-documents.p3', locale: locale}) }}
{{
    list({
        items: [
            "upload-documents.list3.item1",
            "upload-documents.list3.item2",
            "upload-documents.list3.item3",
            "upload-documents.list3.item4"
        ],
        classes: 'nhsuk-list--bullet',
        locale: locale
    })
}}

<p class="nhsuk-body">
    {{ __({phrase: 'upload-documents.p4', locale: locale }) }}
</p>

<div class="nhsuk-form-group
{% if errors %}
    nhsuk-form-group--error
    {% endif %}
">
    <fieldset class="nhsuk-fieldset"  role="group">
        <legend class="nhsuk-fieldset__legend nhsuk-fieldset__legend--l">
            <h1 class="nhsuk-fieldset__heading">
                {{ __({phrase: 'upload-documents.section1.h1', locale: locale }) }}
            </h1>
        </legend>
        {{ p({
          "text": 'upload-documents.hint2',
          "classes" : 'nhsuk-hint',
          locale:locale
        }) }}

        {% for error in errors %}
            <span class="nhsuk-error-message" id="file-errors-error" style="display: block;">
                <span class="nhsuk-u-visually-hidden">{{'Error:'}}</span>
                {{ __({phrase: error.msg, locale: error.locale }) }}
            </span>
        {% endfor %}

        <div class="nhsuk-date-input" id="dob-errors">
            <div class="nhsuk-date-input__item">
                <div class="nhsuk-form-group">

                    <form action="upload-documents" enctype="multipart/form-data" method="post" class="form">
                        <label for="document">
                            {{ p({
                                text: "upload-documents.label",
                                locale: locale
                            }) }}
                        </label>
                        <input type="file"  name="document" id="document" class="nhsuk-input"/>
                        {{ button({
                          type: "submit",
                          text: "upload-documents.button1",
                          classes: "nhsuk-button nhsuk-u-margin-top-2",
                          locale: locale
                        }) }}
                    </form>
                </div>
            </div>
        </div>
    </fieldset>

</div>
{% if data.Documents.length %}

    <fieldset class="nhsuk-fieldset">
        <h2>{{ __({phrase: 'upload-documents.section2.h2',classes: 'nhsuk-fieldset__heading', locale: locale }) }}</h2>
        <table role="table" class="nhsuk-table-responsive">
            <thead>
                <tr>
                    <th>
                        {{ __({phrase: 'upload-documents.table.heading1', locale: locale }) }}
                    </th>
                    <th>
                        {{ __({phrase: 'upload-documents.table.heading2', locale: locale }) }}
                    </th>
                    <th>
                        {{ __({phrase: 'upload-documents.table.heading3', locale: locale }) }}
                    </th>
                    <th>
                        {{ __({phrase: 'upload-documents.table.heading4', locale: locale }) }}
                    </th>
                </tr>
            </thead>
            <tbody class="nhsuk-table__body">
                {% for document in data.Documents %}
                    {% if document.DocumentName %}
                        <form action="delete-document" enctype="multipart/form-data" method="post" class="form">
                            <tr>
                                <td>
                                    {{ document.DocumentName }}
                                </td>
                                <td>
                                    {{ document.DocumentType }}
                                </td>
                                <td>
                                    {{ document.UploadStatus }}
                                </td>
                                <td>
                                    <input type="text" name="documentCount" id="documentCount" class="hidden" style="display:none" value="{{document.DocumentCount}}"/>
                                    <input type="text" name="documentId" id="documentId" class="hidden" style="display:none" value="{{document.DocumentID}}"/>
                                    {{ button({
                                  type: "submit",
                                  text: "upload-documents.button2",
                                  classes: "nhsuk-button--secondary",
                                  locale: locale
                                }) }}
                                </td>
                            </tr>
                        </form>
                    {% endif %}
                {% endfor %}
            </tbody>
        </table>
    </fieldset>
    <br/>
{% endif %}
<strong>{{ p({text: 'upload-documents.p5', locale: locale}) }}</strong>

<ul>
    <li>
        {{ __({phrase: 'upload-documents.list4.item1', locale: locale }) }}
        {{ __({phrase: 'common.contact.mailto.html', locale: locale }) | safe }}
    </li>
    <li>
        {{ __({phrase: 'upload-documents.list4.item2', locale: locale }) }}
        <br/>
        <div class='nhsuk-list--bullet'>
            {{ __({phrase: 'common.contact.address.html',locale: locale }) | safe }}
        </div>
    </li>
</ul>
{{
    link({
      "text": "upload-documents.button3",
      "href": "/store-claim",
      "arrow": false,
      "classes": "nhsuk-button",
      locale: locale
    })
}}